"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class Clean extends command_1.Command {
    async run() {
        const { flags } = this.parse(Clean);
        service_1.BootstrapUtils.showBanner();
        await new service_1.BootstrapService(this.config.root).report(flags);
    }
}
exports.default = Clean;
Clean.description = 'it generates reStructuredText (.rst) reports describing the configuration of each node.';
Clean.examples = [`$ symbol-bootstrap report`];
Clean.flags = {
    help: service_1.BootstrapUtils.helpFlag,
    target: service_1.BootstrapUtils.targetFlag,
};
