"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class Clean extends command_1.Command {
    async run() {
        const { flags } = this.parse(Clean);
        service_1.BootstrapUtils.showBanner();
        service_1.BootstrapUtils.deleteFolder(flags.target);
    }
}
exports.default = Clean;
Clean.description = 'It removes the target folder deleting the generated configuration and data';
Clean.examples = [`$ symbol-bootstrap clean`];
Clean.flags = {
    help: service_1.BootstrapUtils.helpFlag,
    target: service_1.BootstrapUtils.targetFlag,
};
